Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## hr.tis.mgw.client.message
Class ReceivedLongSmsSegment

    java.lang.Object
      hr.tis.mgw.client.message.ReceivedLongSmsSegment

public class ReceivedLongSmsSegment
extends java.lang.Object

Long SMS segment.

Constructor Summary
`ReceivedLongSmsSegment(java.lang.String registrationIdentifier, java.lang.String text, java.lang.String senderAddress, java.lang.String destinationAddress, int sarMsgRefNum, int sarTotalSegments, int sarSegmentSeqNum)` Create a new ReceivedLongSmsSegment

Method Summary
`java.lang.String` | `getDestinationAddress()` Return destination address
`java.lang.String` | `getRegistrationIdentifier()` Return registration identifier
`int` | `getSarMsgRefNum()` Return SAR message reference
`int` | `getSarSegmentSeqNum()` Return index of current segment in concatenation.
`int` | `getSarTotalSegments()` Return total number of segments in concatenation
`java.lang.String` | `getSenderAddress()` Return sender address
`java.lang.String` | `getText()` Return segment text
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### ReceivedLongSmsSegment

    public ReceivedLongSmsSegment(java.lang.String registrationIdentifier,
                                  java.lang.String text,
                                  java.lang.String senderAddress,
                                  java.lang.String destinationAddress,
                                  int sarMsgRefNum,
                                  int sarTotalSegments,
                                  int sarSegmentSeqNum)

  Create a new ReceivedLongSmsSegment

Parameters:
  `registrationIdentifier` - registration identifier
  `text` - segment text
  `senderAddress` - sender address
  `destinationAddress` - destination address
  `sarMsgRefNum` - SAR message reference
  `sarTotalSegments` - Total number of SAR segments
  `sarSegmentSeqNum` - Index of current segment in concatenation

Method Detail

### getRegistrationIdentifier

    public java.lang.String getRegistrationIdentifier()

  Return registration identifier

  Returns:
    registration identifier

### getText

    public java.lang.String getText()

  Return segment text

  Returns:
    segment text

### getSenderAddress

    public java.lang.String getSenderAddress()

  Return sender address

  Returns:
    sender address

### getDestinationAddress

    public java.lang.String getDestinationAddress()

  Return destination address

  Returns:
    destination address

### getSarMsgRefNum

    public int getSarMsgRefNum()

  Return SAR message reference

  Returns:
    SAR message reference

### getSarTotalSegments

    public int getSarTotalSegments()

  Return total number of segments in concatenation

  Returns:
    total number of segments in concatenation

### getSarSegmentSeqNum

    public int getSarSegmentSeqNum()

  Return index of current segment in concatenation. Index is in range [1,255]

  Returns:
    index of current segment in concatenation

### toString

    public java.lang.String toString()

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2007, TIS.kis d.o.o. All Rights Reserved.